<%@ Page Language="C#"  ASPCompat="true"%>

<script runat="server">

// Note - this code is not intended for commercial use. No warranty implied.
// I.B.M., R.E., 2004

string focusObj;

private void Page_Load(object sender, System.EventArgs e)
{
        string action = "";
        focusObj = "";
        Mess.Text = "";
        if (Page.IsPostBack) 
        {
        	// What is the action to take - passed in 'action'
   		action = Request["txtAction"];
   		if (action == "") { action = "Read"; }
		switch(action)
		{
		 case "Read":
		   ReadData();
		   break;
		 default:
		    // Just show form 
		    break;
		}
	} else {
		focusObj = "txtEmpId";
        }
    }
    private string GetDatabaseName() 
        { 
	string DatabaseName;
	DatabaseName = "rbexamples";
	return DatabaseName;
	}
	
private void ReadData() 
	{
	//Submit to read data
	bool InputValid = true;
	REDPAGESLib.RedObject ro;
	REDPAGESLib.RedProperty myprop;
	string ROName;
	string DatabaseName;
	string RBHandle;
	string RBModule;
	string NewItem;
	//Begin Validation block
	if ((txtEmpId.Text).Trim() == "") 
	{
		//Set Message label with validation message
		Mess.Text = "Validation failed: Please enter Employee Id. <br>";
		InputValid = false;
	}
	//End Validation block

	//Begin Read Block
	if (InputValid) 
	{
		// do RedBack Database Access using pre-defined RedBack Object
		try 
		{
		//Make Connection to rbexamples database and Get object definition
			ROName = "EmpReader";
			RBModule = "EXMOD";
			DatabaseName = GetDatabaseName();
			RBHandle = RBModule + ":" + ROName;
			// stateless object open doesn't use RedBack sessionid
			// or previous stored object handle
			ro = new REDPAGESLib.RedObject();
			ro.Open2(DatabaseName, RBHandle, "", "", "");

			//Set Id into Object Property
			myprop = (REDPAGESLib.RedProperty)ro.Property ("EmpId");
			myprop.Value = (txtEmpId.Text).Trim();
			//Call Method
			ro.CallMethod("DoRead");
			// we could check some status property to see if Read Okay
			// ...
			// get property values returned
			// for uObject we can check new_item to see item existed
			myprop = (REDPAGESLib.RedProperty)ro.Property ("FirstName");
			txtFirstName.Text = myprop.Value;
			myprop = (REDPAGESLib.RedProperty)ro.Property ("LastName");
			txtLastName.Text = myprop.Value;
			if (txtFirstName.Text == "" && txtLastName.Text == "") 
			{
				Mess.Text = "No Record found with Id = " + txtEmpId.Text;
				Mess.Text = Mess.Text + ". Try 1001 to 1024.";
			}
			if (ro != null) 
			{
				//Close Object
				ro.Close();
			}
		} 
		catch(Exception ex) 
		{
			//Set Message label with error message
			Mess.Text = "Exception occurred: " + ex.Message;
		}
	}
	}
</script>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<TITLE>SLRBO Example 1</TITLE>
		<meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<link rel=stylesheet href=rb.css TYPE=text/css>
	</HEAD>

<SCRIPT language="JavaScript">
function SendToWebServer(action)
{
   document.Form1.txtAction.value = action; 
   document.Form1.submit();
}	

function displayCode(codePage) {
 var Console=window.open(codePage,'Console','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=no,width=700,height=300');
 Console.focus();
}
</SCRIPT>

<BODY BGCOLOR="#FFFFFF" TEXT="#000080" LINK="#ffffff" VLINK="#ffffff" ALINK="#ffffff" topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
<TABLE CELLSPACING=0 CELLPADDING=0 BORDER=0 WIDTH=800 ALIGN=LEFT STYLE="font-family:Arial;font-size:12">
<TR>
<TD ALIGN=TOP COLSPAN=3 ><IMG VALIGN=TOP SRC="images/mainhdr.gif" WIDTH=800 HEIGHT=107></TD>
</TR>
<tr>
<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=50></TD>
<td><img src=images/onepixel.gif width=50 height=0></td>
<td><img src=images/onepixel.gif width=600 height=0></td>
</tr>
<tr>
<td bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=50 HEIGHT=0>
<img scr=images/onepixel.gif width=10 height=1 border=0><A class=whitelink HREF="aspnetcsharpindex.html">Back</A></TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<TR>
<TD bgcolor="#6699CC">&nbsp;</TD>
<td><img src=images/onepixel.gif width=10></td>
<td align=center>
<form id="Form1" method="post" runat="Server">
<input type="hidden" id="txtAction" name="txtAction" value="" />
<table>
  <TR><TD CLASS=mainHeader COLSPAN=2 ALIGN="CENTER">Employee Maintenance</TD></TR>
  <tr><td colspan="2"><P><FONT color="#ff0066" size="-1"><asp:label id="Mess" runat="server"></asp:label></FONT></P></td></tr>
  <TR>
    <TD>Employee ID</TD>
    <TD>
      <asp:textbox id="txtEmpId" runat="server" Width="75px" AutoPostBack="True" CssClass="inputtext1"></asp:textbox>
    </TD>
  </TR>
  <TR>
    <TD>First Name</TD>
    <TD>
      <asp:textbox id="txtFirstName" runat="server" Width="175px" CssClass="inputtext1"></asp:textbox></TD>
  </TR>
  <TR>
    <TD>Last Name</TD>
    <TD><asp:textbox id="txtLastName" runat="server" Width="175px" CssClass="inputtext1"></asp:textbox></TD>
  </TR>
</table>
</td></tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<TR>
<TD bgcolor="#6699CC">&nbsp;</TD>
<td>&nbsp;</td>
<td><a href=javascript:displayCode("aspnetcsharpcodeslobjectex1.html")><img border=0 src=images/codeex.gif></a>
</td>
</tr>
</TABLE>

<% if (focusObj != "") { %>
  <SCRIPT language="JavaScript">
  var hFocusObj = document.Form1.<%= focusObj %>;
  hFocusObj.focus();
  </SCRIPT>
<% } %>

</FORM>
</BODY>
</HTML>
