<%@ Page Language="C#"  Debug="true" ASPCompat="true"%>
<script runat="server">
// Note - this code is not intended for commercial use. No warranty implied.
// I.B.M., R.E., 2004

string focusObj;
string EmpId;
string FirstName;
string LastName;
string Dept;
string objHandle;
string action;
string Status;
string StatusText;
int i;

// declare RedObjects
REDPAGESLib.RedObject obj;
REDPAGESLib.RedObject oEmp;
REDPAGESLib.RedField oCodes;
REDPAGESLib.RedField oDescs;
//
REDPAGESLib.RedProperty prop; 
string objName;

private void Page_Load(object sender, System.EventArgs e)
{    
   // Create two objects to hold multivalue Dept codes and descriptions
   oCodes = new REDPAGESLib.RedField();
   oDescs = new REDPAGESLib.RedField();
   objName = "EmpMaint";
   // do we need to get department details?
   if (Request.Form["Codes"] == null || Request.Form["Codes"] == "") {
     // use stateless RBO Utils to get department codes and text for dropdown	
     obj = new REDPAGESLib.RedObject();
     obj.Open2("rbexamples", "EXMOD:Utils","","","");
     obj.CallMethod("GetDepts");
     // now populate the redfields
     prop = (REDPAGESLib.RedProperty)obj.Property("DeptCodes");
     oCodes.StringValue = prop.Value;
     prop = (REDPAGESLib.RedProperty)obj.Property("DeptDescs");
     oDescs.StringValue = prop.Value;
    obj.Close();
   } else {
      oCodes.StringValue = Request.Form["Codes"];
      oDescs.StringValue = Request.Form["Descs"];
   }

   oEmp = new REDPAGESLib.RedObject();
   // see if we have opened stateful Employee object already
   objHandle = Request.Form[objName];
   if (objHandle == null || objHandle == "") {   
     oEmp.Open2("rbexamples", "EXMOD:Employee","","","");
   } else {
     oEmp.Open2("rbexamples", objHandle,"","","");
   }
   
   // Focus object
   if (Request.Form["EmpId"] == null || Request.Form["EmpId"] == "") {
      focusObj = "EmpId";
   } else {
      focusObj = "";
   }

   // What is the action to take - passed in 'action'
   action = Request.Form["page_action"];
    
   if (action == "Read")
      {
         ReadData();
      } 
   oEmp.Close();
}

private void ReadData() 
{
   EmpId = Request.Form["EmpId"];
   // Set the propery in the object to the new value
   prop = (REDPAGESLib.RedProperty)oEmp.Property("EmpId");
   prop.Value = EmpId;
   // Now do the read by calling the ReadData method
   oEmp.CallMethod("ReadData");
   prop = (REDPAGESLib.RedProperty)oEmp.Property("Status");
   Status = prop.Value;
   prop = (REDPAGESLib.RedProperty)oEmp.Property("StatusText");
   StatusText = prop.Value;
   prop = (REDPAGESLib.RedProperty)oEmp.Property("FirstName");
   FirstName = prop.Value;
   prop = (REDPAGESLib.RedProperty)oEmp.Property("LastName");
   LastName = prop.Value;
   prop = (REDPAGESLib.RedProperty)oEmp.Property("Dept");
   Dept = prop.Value;
   if (Dept == "") { Dept = "1"; }
   focusObj = "FirstName";
}   

</script>

<HTML>
<HEAD>
<TITLE>Stateless RBO Example 2</TITLE>
<link rel=stylesheet href=rb.css TYPE=text/css>
</HEAD>

<SCRIPT language="JavaScript">
function SendToWebServer(action)
{
   document.Form1.page_action.value = action;
   document.Form1.submit();
}


function displayCode(codePage) {
  var Console=window.open(codePage,'Console','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=no,width=750,height=300');
  Console.focus();
}
</SCRIPT>

<BODY BGCOLOR="#FFFFFF" TEXT="#000080" LINK="#ffffff" VLINK="#ffffff" ALINK="#ffffff" topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
<% if (Status == "1") {  
     Response.Write("<BR>Error: " + StatusText);
   }
%>   
<TABLE CELLSPACING=0 CELLPADDING=0 BORDER=0 WIDTH=800 ALIGN=LEFT STYLE="font-family:Arial;font-size:12">
<TR>
<TD ALIGN=TOP COLSPAN=3 ><IMG VALIGN=TOP SRC="images/mainhdr.gif" WIDTH=800 HEIGHT=107></TD>
</TR>
<tr>
<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=50></TD>
<td><img src=images/onepixel.gif width=50 height=0></td>
<td><img src=images/onepixel.gif width=600 height=0></td>
</tr>
<tr>
<td bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=50 HEIGHT=0>
<img scr=images/onepixel.gif width=10 height=1 border=0><A class=whitelink HREF="aspnetcsharpindex.html">Back</A></TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<TR>
<TD bgcolor="#6699CC">&nbsp;</TD>
<td><img src=images/onepixel.gif width=10></td>
<td align=center>
<FORM NAME="Form1" METHOD=POST>
<INPUT type="hidden" name="page_action" value="">
<table>
  <TR><TD CLASS=mainHeader COLSPAN=3 ALIGN="CENTER">Employee Maintenance</TD></TR>
  <TR>
    <TD>Employee ID</TD>
    <TD>
      <INPUT name="EmpId" size=5 value="<%= EmpId %>" onChange=SendToWebServer("Read")>
    </TD>
  </TR>
  <TR>
    <TD>First Name</TD>
    <TD>
      <INPUT name="FirstName" size=25 value="<%= FirstName %>"></TD>
  </TR>
  <TR>
    <TD>Last Name</TD>
    <TD><INPUT name="LastName" size=25 value="<%= LastName %>"></TD>
  </TR>
  <tr>
    <td>Department</td>
    <td>
       <SELECT name="Dept">
         <%   // Set dept codes and descriptions
              string sel;
              for (int i = 1; i <= oCodes.Count; i++) 
              {
                if (Dept == oCodes.get_Value(i).StringValue) { sel = "SELECTED "; } else { sel = "";}
         %>      
       <OPTION <%= sel %> VALUE=<%= oCodes.get_Value(i).StringValue %> > <%= oDescs.get_Value(i).StringValue %> 
         <%    } %>  
       </SELECT>
     </td>
   </tr>
</table>
<INPUT name="Codes" value="<%= oCodes.StringValue %>" type=HIDDEN>
<INPUT name="Descs" value="<%= oDescs.StringValue %>" type=HIDDEN>
<INPUT name="<%= objName %>" value="<%= objHandle %>" type=HIDDEN>
</td></tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<tr>
<TD bgcolor="#6699CC">&nbsp;</TD>
</tr>
<TR>
<TD bgcolor="#6699CC">&nbsp;</TD>
<td>&nbsp;</td>
<td><a href=javascript:displayCode('aspnetcsharpcodeslobjectex2.html')><img border=0 src=images/codeex.gif></a>
</td>
</tr>
</TABLE>

<% if (focusObj != "") { %>
  <SCRIPT language="JavaScript">
  var hFocusObj = document.Form1.<%= focusObj %>;
  hFocusObj.focus();
  </SCRIPT>
<% } %>

</FORM>
</BODY>
</HTML>