# showapache.pl.  run from shell script showapache.
# show apache processes.
# For now, write to Perl 4.036 and up.

# Assumes first three fields of appropriate ps command are:
#    UID PID PPID

#if (!$ENV{'APHOME'}) {
#   print "The \$APHOME environment variable must be set.\n";
#   exit 1;
#}
$APHOME=$ENV{'APHOME'};

#$BSD = -f '/vmunix';
#$pscmd = $BSD ? "ps -auxw" : "ps -ef";
$pscmd = "ps -ef";

$pidfile="$APHOME/rgw/apache/logs/httpd.pid";
if (-f $pidfile) {
   open(PIDFILE,$pidfile) || die "Can't open $pidfile: $!\n";
   $pidsched = <PIDFILE>;
   chop $pidsched;
   close(PIDFILE) || die "Can't close $pidfile: $!\n";
} else {
   print "Can't show apache -- file $pidfile not found.\n";
   exit 1;
}

open(PS,"$pscmd|") || die "$pscmd failed: $!\n";
$title = <PS>;
@pstab = <PS>;
$schedidx = -1;
foreach $i (0 .. $#pstab) {
   ($uname, $pid, $ppid) = split(' ',$pstab[$i]);
   if ($pid == $pidsched) {
      $schedidx = $i; last;
   }
}
if ($schedidx < 0) {
   print "Apache is not running (pid=$pidsched not found).\n";
   exit 1;
}
print "Apache Scheduler [pid=$pidsched]:\n";
#print $pstab[$schedidx];
@line = split(' ',$pstab[$schedidx]);
foreach $i (0 .. $#line) {
   print " $line[$i]";
}
print "\n\n";

foreach $i (0 .. $#pstab) {
   ($uname, $pid, $ppid) = split(' ',$pstab[$i]);
   if ($ppid == $pidsched) {
      $resp{$pid} = $pstab[$i];
   }
}

print "Apache Responders:\n";
foreach $target (sort keys(%resp)) {
   #print $resp{$target};
   @line = split(' ',$resp{$target});
   foreach $i (0 .. $#line) {
      print " $line[$i]";
   }
   print "\n";
}

exit 0;
