* ************************** *
* RBODOC String Text Equates *
* ************************** *
     *
     EQU RBOD.SHARED               TO 1   ; * Shared
     EQU RBOD.SYSTEM               TO 2   ; * System
     EQU RBOD.ACCESS               TO 3   ; * Property has Access codes of {ACCESS}
     EQU RBOD.ACNT.CLASS.HIER      TO 4   ; * /{ACNT.ID}/ Class Hierarchy
     EQU RBOD.ACNT.CLASS.IHIER     TO 5   ; * /{ACNT.ID}/ Class Hierarchy with Icons
     EQU RBOD.ACNT.MODULE          TO 6   ; * /{ACNT.ID}/ Module {MODULE}
     EQU RBOD.ACNT.MODULE.SUM      TO 7   ; * /{ACNT.ID}/ Module Summary
     EQU RBOD.ACNT.MODULES         TO 8   ; * /{ACNT.ID}/ Modules
     EQU RBOD.ALL.CLASS.HIER       TO 9   ; * All Class Hierarchy
     EQU RBOD.ASSERTS              TO 10  ; * Asserts
     EQU RBOD.CLASS.FINAL          TO 11  ; * FINAL Class
     EQU RBOD.CLASS.INH.FROM       TO 12  ; * class inheriting from
     EQU RBOD.CLASS.INHERITS       TO 13  ; * <B>{CLASS}</B> inherits from {PARENT}. {LASTMODIFIED}
     EQU RBOD.CLASS.NOT.FINAL      TO 14  ; * Class
     EQU RBOD.CLASS.SUBNAV.1       TO 15  ; * <TR><TD VALIGN="top" BGCOLOR="{NavBarCell3}" ID="NavBarCell3"><FONT SIZE="-2">
     EQU RBOD.CLASS.SUBNAV.2       TO 16  ; * SUMMARY: &nbsp;{PROPSUM}&nbsp;|&nbsp;{METHSUM}</FONT></TD>
     EQU RBOD.CLASS.SUBNAV.3       TO 17  ; * <TD VALIGN="top" BGCOLOR="{NavBarCell3}" ID="NavBarCell3"><FONT SIZE="-2">
     EQU RBOD.CLASS.SUBNAV.4       TO 18  ; * DETAIL: &nbsp;{PROPDET}&nbsp;|&nbsp;{METHDET}</FONT></TD></TR>
     EQU RBOD.CLASS.SUM            TO 19  ; * Class Summary
     EQU RBOD.DB.FIELD             TO 20  ; * DataBase Field reference is {FLDN}
     EQU RBOD.DEFAULT.VALUE        TO 21  ; * Default Value is {DFLT}
     EQU RBOD.DIRECT.SUBCLASSES    TO 22  ; * Direct Subclasses:
     EQU RBOD.DOCTYPE.FRAMESET     TO 23  ; * "-//W3C//DTD HTML 4.0 Frameset//EN"
     EQU RBOD.DOCTYPE.NOFRAME      TO 24  ; * "-//W3C//DTD HTML 4.0//EN"
     EQU RBOD.FINAL.FLAG           TO 25  ; * FINAL
     EQU RBOD.FRAME.ALERT          TO 26  ; * Frame Alert
     EQU RBOD.FRAME.CLASSES        TO 27  ; * CLASSES
     EQU RBOD.FRAME.ERROR.LNK      TO 28  ; * Link to <A HREF="{classFrame}">..
     EQU RBOD.FRAME.ERROR.MSG      TO 29  ; * This document is designed to..
     EQU RBOD.FRAME.MODULES        TO 30  ; * MODULES
     EQU RBOD.FRAME.SHOW.DESC      TO 31  ; * 1=True, 0=False
     EQU RBOD.FRAME.TREE           TO 32  ; * TREE
     EQU RBOD.FRAME.VIEW           TO 33  ; * VIEW:
     EQU RBOD.FRAMES               TO 34  ; * FRAMES
     EQU RBOD.FUNCT.SUBNAV.1       TO 35  ; * <TR><TD VALIGN="top" BGCOLOR="{NavBarCell3}" ID="NavBarCell3"><FONT SIZE="-2">
     EQU RBOD.FUNCT.SUBNAV.2       TO 36  ; * SUMMARY: &nbsp;{FUNCTSUM}&nbsp;</FONT></TD>
     EQU RBOD.FUNCT.SUBNAV.3       TO 37  ; * <TD VALIGN="top" BGCOLOR="{NavBarCell3}" ID="NavBarCell3"><FONT SIZE="-2">
     EQU RBOD.FUNCT.SUBNAV.4       TO 38  ; * DETAIL: &nbsp;{FUNCTDET}&nbsp;</FONT></TD></TR>
     EQU RBOD.FUNCTION.DETAIL      TO 39  ; * Function Detail
     EQU RBOD.FUNCTION.SUMMARY     TO 40  ; * Function Summary
     EQU RBOD.GENERATED.BY         TO 41  ; * Generated by RBODOC
     EQU RBOD.HEAD.CLASS           TO 42  ; * Class {MODULE}:{CLASS}
     EQU RBOD.HELP.DOC             TO 43  ; * help-doc:
     EQU RBOD.IN.CLASS             TO 44  ; * in class
     EQU RBOD.INHERITING.FROM      TO 45  ; * inheriting from
     EQU RBOD.INHERITS.FROM        TO 46  ; * inherits from
     EQU RBOD.INTERFACE            TO 47  ; * Interface Program is {PROG}
     EQU RBOD.ITREE.FRAME.PREFIX   TO 48  ; * tis
     EQU RBOD.ITREE.GIF            TO 49  ; * .gif
     EQU RBOD.ITREE.PREFIX         TO 50  ; * ti
     EQU RBOD.ITREE.RENDERING      TO 51  ; * Rendering Display...
     EQU RBOD.ITREE.SUBNAV.1       TO 52  ; * <TR><TD VALIGN="top" BGCOLOR="{NavBarCell3}" ID="NavBarCell3"><FONT SIZE="-2">
     EQU RBOD.ITREE.SUBNAV.2       TO 53  ; * VIEW: &nbsp;{PLAIN}&nbsp;|&nbsp;{ICONS}</FONT></TD>
     EQU RBOD.ITREE.SUBNAV.3       TO 54  ; * <TD VALIGN="top" BGCOLOR="{NavBarCell3}" ID="NavBarCell3"><FONT SIZE="-2">
     EQU RBOD.ITREE.SUBNAV.4       TO 55  ; * </FONT></TD></TR>
     EQU RBOD.ITREE.TBASEHELP      TO 56  ; * Click to view class documenation on
     EQU RBOD.ITREE.TFOLDERHELP    TO 57  ; * Click to view contents
     EQU RBOD.LAST.MODIFIED        TO 58  ; * Last Modified
     EQU RBOD.METHOD.DETAIL        TO 59  ; * Method Detail
     EQU RBOD.METHOD.IN.CLASS      TO 60  ; * Method in class
     EQU RBOD.METHOD.SUMMARY       TO 61  ; * Method Summary
     EQU RBOD.METHOD.X             TO 62  ; * Method <B>{METH}()</B>
     EQU RBOD.METHODS.INHERIT      TO 63  ; * Methods inherited from class
     EQU RBOD.MOD.CLASS.SUM        TO 64  ; * {MODULE} Class Summary
     EQU RBOD.MODULE.CLASS.HIER    TO 65  ; * {MODULE} Class Hierarchy
     EQU RBOD.MODULE.CLASS.IHIER   TO 66  ; * {MODULE} Class Hierarchy with Icons
     EQU RBOD.MODULE.LABEL         TO 67  ; * Module
     EQU RBOD.MODULE.SUM           TO 68  ; * Module Summary
     EQU RBOD.MOUSEOVER.CLASS      TO 69  ; * Click to view {CLASS} class
     EQU RBOD.MOUSEOVER.CLASSES    TO 70  ; * Click to view All Classes
     EQU RBOD.MOUSEOVER.CLASSHIER  TO 71  ; * Click to view Class Hierarchy
     EQU RBOD.MOUSEOVER.CLASSMENU  TO 72  ; * Click to view Class Menu
     EQU RBOD.MOUSEOVER.FRAMES     TO 73  ; * Click to view with Frames
     EQU RBOD.MOUSEOVER.FUNC.DET   TO 74  ; * Click to view function detail
     EQU RBOD.MOUSEOVER.FUNC.SUM   TO 75  ; * Click to view function summary
     EQU RBOD.MOUSEOVER.FUNCTION   TO 76  ; * Click to view (FUNCTION} function
     EQU RBOD.MOUSEOVER.HELP       TO 77  ; * Click to view the Help Page
     EQU RBOD.MOUSEOVER.ICONS      TO 78  ; * Click to view Tree with Icons
     EQU RBOD.MOUSEOVER.INDEX      TO 79  ; * Click to view the Index
     EQU RBOD.MOUSEOVER.LJUMP      TO 80  ; * Jump to Index starting with {LETTER}
     EQU RBOD.MOUSEOVER.METH.DET   TO 81  ; * Click to view method detail
     EQU RBOD.MOUSEOVER.METH.SUM   TO 82  ; * Click to view method summary
     EQU RBOD.MOUSEOVER.METHOD     TO 83  ; * Click to view (METHOD} method
     EQU RBOD.MOUSEOVER.MODULE     TO 84  ; * Click to view (MODULE} module
     EQU RBOD.MOUSEOVER.MODULEMENU TO 85  ; * Click to view Modules Menu
     EQU RBOD.MOUSEOVER.MODULES    TO 86  ; * Click to view All Modules
     EQU RBOD.MOUSEOVER.NEXTCLASS  TO 87  ; * Click to view next class (CLASS}
     EQU RBOD.MOUSEOVER.NEXTMODULE TO 88  ; * Click to view next module (MODULE}
     EQU RBOD.MOUSEOVER.NO.FRAMES  TO 89  ; * Click to view without Frames
     EQU RBOD.MOUSEOVER.PLAIN      TO 90  ; * Click to view a plain Tree
     EQU RBOD.MOUSEOVER.PREVCLASS  TO 91  ; * Click to view previous class (CLASS}
     EQU RBOD.MOUSEOVER.PREVMODULE TO 92  ; * Click to view previous module (MODULE}
     EQU RBOD.MOUSEOVER.PRINT      TO 93  ; * Click to view Print Menu
     EQU RBOD.MOUSEOVER.PRINTLINK  TO 94  ; * DO NOT Click, use Browser Print CTRL-P
     EQU RBOD.MOUSEOVER.PROP.DET   TO 95  ; * Click to view property detail
     EQU RBOD.MOUSEOVER.PROP.SUM   TO 96  ; * Click to view property summary
     EQU RBOD.MOUSEOVER.PROPERTY   TO 97  ; * Click to view {PROPERTY} property
     EQU RBOD.MOUSEOVER.SAPI       TO 98  ; * Click to view the Server API
     EQU RBOD.MOUSEOVER.TREEMENU   TO 99  ; * Click to view Class Tree Menu
     EQU RBOD.NAV.CLASS            TO 100 ; * Class
     EQU RBOD.NAV.DETAIL           TO 101 ; * DETAIL:
     EQU RBOD.NAV.FUNCTION         TO 102 ; * FUNCTION
     EQU RBOD.NAV.HELP             TO 103 ; * Help
     EQU RBOD.NAV.ICONS            TO 104 ; * ICONS
     EQU RBOD.NAV.INDEX            TO 105 ; * Index
     EQU RBOD.NAV.METHOD           TO 106 ; * METHOD
     EQU RBOD.NAV.MODULE           TO 107 ; * Module
     EQU RBOD.NAV.NEXT             TO 108 ; * NEXT
     EQU RBOD.NAV.NEXT.CLASS       TO 109 ; * NEXT CLASS
     EQU RBOD.NAV.NEXT.MODULE      TO 110 ; * NEXT MODULE
     EQU RBOD.NAV.OPTION           TO 111 ; * RBODOC Navigation Option
     EQU RBOD.NAV.PLAIN            TO 112 ; * PLAIN
     EQU RBOD.NAV.PREV             TO 113 ; * PREV
     EQU RBOD.NAV.PREV.CLASS       TO 114 ; * PREV CLASS
     EQU RBOD.NAV.PREV.MODULE      TO 115 ; * PREV MODULE
     EQU RBOD.NAV.PRINT            TO 116 ; * Print
     EQU RBOD.NAV.PROPERTY         TO 117 ; * PROPERTY
     EQU RBOD.NAV.SAPI             TO 118 ; * SAPI
     EQU RBOD.NAV.SUMMARY          TO 119 ; * SUMMARY:
     EQU RBOD.NAV.TREE             TO 120 ; * Tree
     EQU RBOD.NO.FRAMES            TO 121 ; * NO FRAMES
     EQU RBOD.OVERLOADS            TO 122 ; * Overloads
     EQU RBOD.PRINT.DOCO           TO 123 ; * /{ACNT.ID}/ Print Documentation
     EQU RBOD.PRINT.EVERYTHING     TO 124 ; * Print Everything
     EQU RBOD.PRINT.HELP.LINK      TO 125 ; * For help on how to use this menu, see <A HREF="help-doc.html#Print">Print</A> Help documentation.
     EQU RBOD.PRINT.MENU.DESC      TO 126 ; * The Print menu is an aid for MS IE users to utilise the "Print all linked documents" option.
     EQU RBOD.PRINT.OPTION         TO 127 ; * Print
     EQU RBOD.PRINT.SUMMARY        TO 128 ; * Print All Module Summaries
     EQU RBOD.PRINT.SUMMARY.INDEX  TO 129 ; * Print All Module Summaries plus Index
     EQU RBOD.PRODUCING            TO 130 ; * Producing "{DOCUMENT}"...
     EQU RBOD.PROP.X.OF.TYPE.Y     TO 131 ; * Property {PROP} of type {TYPE}
     EQU RBOD.PROPERTIES.INHERIT   TO 132 ; * Properties inherited from class
     EQU RBOD.PROPERTY.DETAIL      TO 133 ; * Property Detail
     EQU RBOD.PROPERTY.OF.TYPE     TO 134 ; * Property of type
     EQU RBOD.PROPERTY.SUMMARY     TO 135 ; * Property Summary
     EQU RBOD.PROPS.IN             TO 136 ; * Properties IN -
     EQU RBOD.PROPS.OUT            TO 137 ; * Properties OUT -
     EQU RBOD.RBO.DOT              TO 138 ; * RBO.
     EQU RBOD.SAPI.FUNCTION        TO 139 ; * Server API Function
     EQU RBOD.SERVER.API           TO 140 ; * ServerAPI:
     EQU RBOD.TITLE.ACNT.ID        TO 141 ; * /{ACNT.ID}/
     EQU RBOD.TITLE.ALL            TO 142 ; * All
     EQU RBOD.TITLE.ALL.CLASSES    TO 143 ; * /{ACNT.ID}/ All Classes Summary
     EQU RBOD.TITLE.ALLCLASS       TO 144 ; * All Classes
     EQU RBOD.TITLE.ALLMODS        TO 145 ; * All Modules
     EQU RBOD.TITLE.APIHELP        TO 146 ; * /{ACNT.ID}/ API Help
     EQU RBOD.TITLE.CLASS          TO 147 ; * Class Hierarchy For /{ACNT.ID}/
     EQU RBOD.TITLE.CLASS.SUM      TO 148 ; * All Classes Summary
     EQU RBOD.TITLE.DUMMY          TO 149 ; * Generated Documentation
     EQU RBOD.TITLE.FRAMESET       TO 150 ; * Documentation for {ACNT.ID} Account
     EQU RBOD.TITLE.INDEX          TO 151 ; * /{ACNT.ID}/ Index
     EQU RBOD.TITLE.PRINT          TO 152 ; * /{ACNT.ID}/ Print Menu
     EQU RBOD.TITLE.SAPI           TO 153 ; * RedBack RBO Server API
     EQU RBOD.UPDATING             TO 154 ; * Updating "{FILEKEY}"...
     EQU RBOD.UPDATING.CLASSES     TO 155 ; * Updating Classes with list of Subclass...
     *
