<%@ Page Language="C#"  ASPCompat="true" EnableViewState="False" %>
<%@ Import Namespace="System.Data" %>

<script language="c#" runat="server">
	public DataSet dstEmps;
	public DataTable dtblEmps;
	public DataColumn dcolColumn;
	public DataRow drowItem;
	public int i;
	public int Icnt;
	public int PageNo = 1;
	public int PageTot = 1;

private void Page_Load(object sender, System.EventArgs e)
	{
		DoWork();
	}
    private string GetDatabaseName() 
	{ 
		string DatabaseName;
		DatabaseName = "rbexamples";
		return DatabaseName;
	}
    private void RecordsetToDatatable(ADOR.Recordset rs, ref DataTable dtblEmps)
	{
	dtblEmps = new DataTable("Emps");
	for(int j = 0; j < rs.Fields.Count; j++) 
	{
		dcolColumn = new DataColumn(rs.Fields[j].Name.ToString(), System.Type.GetType("System.String"));
		dtblEmps.Columns.Add(dcolColumn);
	}
	//Add rows
	for (int i = 1; i <= rs.RecordCount; i++) 
	{
		drowItem = dtblEmps.NewRow();
		for(int j = 0; j < rs.Fields.Count; j++) 
		{
		 drowItem[rs.Fields[j].Name.ToString()] = rs.Fields[rs.Fields[j].Name.ToString()].Value.ToString();
		}
		dtblEmps.Rows.Add(drowItem);
		rs.MoveNext();
	} 
	}
	
	private void RecordsetToDatatableWithLink(ADOR.Recordset rs, ref DataTable dtblEmps, string LinkFieldName, string LinkPage)
	{
	string fn;
	dtblEmps = new DataTable("Emps");
	for(int j = 0; j < rs.Fields.Count; j++) 
	{
		dcolColumn = new DataColumn(rs.Fields[j].Name.ToString(), System.Type.GetType("System.String"));
		dtblEmps.Columns.Add(dcolColumn);
	}
	//Add rows
	for (int i = 1; i <= rs.RecordCount; i++) 
	{
		drowItem = dtblEmps.NewRow();
		for(int j = 0; j < rs.Fields.Count; j++) 
		{
		fn = rs.Fields[j].Name.ToString();
		if (fn == LinkFieldName) {
		 drowItem[fn] = "<A CLASS=bluelink HREF='" + LinkPage + rs.Fields[fn].Value.ToString() + "'>" + rs.Fields[fn].Value.ToString()  + "</a>";
		 } else {
		 drowItem[fn] = rs.Fields[fn].Value.ToString();
		 }
		}
		dtblEmps.Rows.Add(drowItem);
		rs.MoveNext();
	} 
	}
    
    
    public void DataGrid1_PageIndexChanged(Object s, DataGridPageChangedEventArgs e)
    		{
    			DataGrid1.CurrentPageIndex = e.NewPageIndex;
    			PageNo = e.NewPageIndex + 1;
    			DoWork();
		}
		
private void DoWork() 
	{
	Mess.Text = "";
	
	string DatabaseName;
	string Id;
	REDPAGESLib.RedObject ro;
	ADOR.Recordset rs;
	REDPAGESLib.RedProperty myprop;
	string RBModule;
	string ROName;
	dstEmps = new DataSet();
	int IntRem = 0;

	// do RedBack Database Access using pre-defined RedBack Object
	try {
	//Make Connection to rbexamples database and Get object definition
	DatabaseName = GetDatabaseName();
	RBModule = "EXMOD";
	ROName = "EmployeeList";
	// open RedBack object using subroutine - "N" means treat as stateful object
	OpenRedbackObject(out ro, DatabaseName, RBModule, ROName, "", "", "N");
	// Could Set select statement into Object Property but we are going to get all records instead
	myprop = (REDPAGESLib.RedProperty)ro.Property ("select_criteria");
	//myprop.Value = "SELECT EMPLOYEES WITH DEPT = \"" + Id + "\" BY LAST.NAME BY FIRST.NAME";
	myprop.Value = "SELECT EMPLOYEES BY LAST.NAME BY FIRST.NAME";
	//Call Method
	rs = (ADOR.Recordset)ro.CallMethod("Select");
	myprop = (REDPAGESLib.RedProperty)ro.Property ("MaxRows");
	Icnt = Convert.ToInt16(myprop.Value);
	if (Icnt > 0) 
	{
		PageTot = Convert.ToInt32(Icnt / 10);
		IntRem = Icnt - (PageTot * 10);
	   	if (IntRem != 0) { PageTot = PageTot + 1; }
   		txtPageTot.Text = PageTot.ToString();
		//Fill Dataset with Entire Recordset
		// RecordsetToDatatable(rs, ref dtblEmps);
		RecordsetToDatatableWithLink(rs, ref dtblEmps,"EMP.ID","uqueryex1_1.aspx?id=");
		//Add DataTable to DataSet
		dstEmps.Tables.Add(dtblEmps);
		//Display Datatable in Dataset
		DataGrid1.DataSource = dstEmps;
		DataGrid1.DataBind();
		}
		ro.Close();
		rs.Close();
		txtPageNo.Text = PageNo.ToString();
	} 
	catch (Exception ex) 
	{
		//Set Message label with error message
		Mess.Text = "Exception occurred: " + ex.Message;
	}
	}	
	
    
    public void OpenRedbackObject(out REDPAGESLib.RedObject ro, string DatabaseName, string ROModule, string ROName, string Username, string Password, string Stateless)
    	{
    	// open object - note we should reuse the sessionid for all stateful objects, and keep the RBHandle
    	// in a cookie to be able to use the object in a stateful manner. 
    	// Could change routine to use hidden field or session instead of cookie for RBHandle.
    	// Note too we are keeping the Redobject in session to avoid repeated calls to RedPages.dll to re-create,
    	// good for performance.
    	// Can be used for stateful or stateless objects -- pass "N" in stateless parameter for stateful open or "refresh"
    	string RBHandle;
    	string RB_SessionId = "";
    	string prevRBHandle;
    	//string strVariable;
    	bool IsOpen = false;
    	ro = null;
    	HttpCookie objCookie;
    	// DatabaseName = GetDatabaseName()
    	RBHandle = ROModule + ":" + ROName;
    	if (Stateless != "N") Stateless = "Y";
    	if (Stateless == "N") 
    	{
    		//   Handle Stateful using sessionid and object handle in cookies
    		foreach (string strVariable in Request.Cookies) 
    		{
    			if (strVariable == "RB_SessionId") 
    			{
    				RB_SessionId = Request.Cookies[strVariable].Value;
    			}
    			if (strVariable == "RB_" + ROName) 
    			{
    				prevRBHandle = Request.Cookies[strVariable].Value;
    				if (prevRBHandle != "") 
    				{
    					RBHandle = prevRBHandle;
    				}
    			}
    		}
    	}
    
    	if ((Session[ROName] != null)) 
    	{
    		ro = (REDPAGESLib.RedObject) Session[ROName];
    		try 
    		{
    			ro.Open2(DatabaseName, RBHandle, Username, Password, RB_SessionId);
    			IsOpen = true;
    			if (Stateless == "N") 
    			{
    				//Handle Stateful
    				objCookie = new HttpCookie("RB_SessionId",ro.sessionid);
    				Response.Cookies.Add(objCookie);
    				objCookie = new HttpCookie("RB_" + ROName,ro.RBOHandle);
    				Response.Cookies.Add(objCookie);
    			}
    		}
    		catch (Exception ex) 
    		{
    			//Set Message label with error message
    			throw ex;
    		}
    	}
    	if (IsOpen != true) 
    	{
    		try 
    		{
    			ro = new REDPAGESLib.RedObject();
    			ro.Open2(DatabaseName, RBHandle, Username, Password, RB_SessionId);
    			IsOpen = true;
    			Session[ROName] = ro;
    			if (Stateless == "N") 
    			{
    				//Handle Stateful
    				objCookie = new HttpCookie("RB_SessionId",ro.sessionid);
    				Response.Cookies.Add(objCookie);
    				objCookie = new HttpCookie("RB_" + ROName,ro.RBOHandle);
    				Response.Cookies.Add(objCookie);
    			}
    		}
    		catch (Exception ex) 
    		{
    			//Set Message label with error message
    			throw ex;
    		}
    	}
    }
</script>

<HTML>
	<HEAD>
		<title>Report1</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<link rel=stylesheet href=rb.css TYPE=text/css>
	</HEAD>
	<SCRIPT language="JavaScript">	
	function displayCode(codePage) {
	 var Console=window.open(codePage,'Console','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=no,width=700,height=300');
	 Console.focus();
	}
	</SCRIPT>
	<BODY BGCOLOR="#FFFFFF" TEXT="#000080" LINK="#ffffff" VLINK="#ffffff" ALINK="#ffffff" topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
	<TABLE CELLSPACING=0 CELLPADDING=0 BORDER=0 WIDTH=800 ALIGN=LEFT STYLE="font-family:Arial;font-size:12">
	<TR>
	<TD ALIGN=TOP COLSPAN=4 ><IMG VALIGN=TOP SRC="images/mainhdr.gif" WIDTH=800 HEIGHT=107></TD>
	</TR>
	<tr>
	<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=50></TD>
	</tr>
	<td bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=50 HEIGHT=0>
	<img scr=images/onepixel.gif width=10 height=1 border=0><A class=whitelink HREF="aspnetcsharpindex.html">Back</A></TD>
	</tr>
	
	<TR>
	<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=0></TD>
	<td><img src=images/onepixel.gif width=10></td>
	<td align=center>
	<FORM NAME="Form1" METHOD=POST runat="server">
	<TABLE CELLSPACING=0 BORDER=0 CELLPADDING=4 WIDTH=590 STYLE="font-family:Arial;font-size:12">
	<tr><td colspan=4 align=center class=mainHeader>Employee Lookup</td></tr>
	<TR><TD VALIGN="TOP" COLSPAN=3>&nbsp;</TD>
	<TD ALIGN="RIGHT"><B>Page <asp:Label id="txtPageNo" runat="server"></asp:Label> of <asp:Label id="txtPageTot" runat="server"></asp:Label></B></TD>
	</TR>
	<tr><td colspan=4 align=center><P><FONT color="#ff0066" size="-1"><asp:label id="Mess" runat="server"></asp:label></FONT></P></td></tr>
	<TR>
	<TD colspan="3">
	<P>
	<asp:DataGrid id="DataGrid1" runat="server" EnableViewState="False" AllowPaging="True" PageSize="10"
		OnPageIndexChanged="DataGrid1_PageIndexChanged" BorderStyle="None" BorderWidth="0px"
		 	CellPadding="4" PagerStyle-Mode="NumericPages" PagerStyle-Font-Name="Verdana"
		 	PagerStyle-Font-Size="8" PagerStyle-CssClass="bluelink"
			PagerStyle-Font-Bold="True" PagerStyle-BackColor="SandyBrown" AutoGenerateColumns="False">
			<HeaderStyle BorderWidth="0" Font-Name="Verdana" Font-Bold="True" Font-Size="10" ForeColor="White" BackColor="#000080"></HeaderStyle>
			<ItemStyle Font-Name="Verdana" Font-Size="8" ForeColor="#000080" BackColor="White"></ItemStyle>
			<Columns>
				<asp:BoundColumn HeaderText="Emp ID" DataField="EMP.ID" />
				<asp:BoundColumn HeaderText="First Name" DataField="FIRST.NAME" />
				<asp:BoundColumn HeaderText="Last Name" DataField="LAST.NAME" />
			</Columns>
		</asp:DataGrid></P>
	</td></tr></table>
	</FORM>
	<tr>
	<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=0></TD>
	</tr>
	<tr>
	<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=0></TD>
	</tr>
	<tr>
	<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=0></TD>
	</tr>
	<tr>
	<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=0></TD>
	</tr>
	<tr>
	<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=0></TD>
	</tr>
	<TR>
	<TD bgcolor="#6699CC"><IMG SRC=images/onepixel.gif WIDTH=150 HEIGHT=0></TD>
	<td>&nbsp;</td>
	<td><a href=javascript:displayCode('aspnetcsharpcodeuqueryex.html')><img border=0 src=images/codeex.gif></a>
	</td>
	</tr>
	</TABLE>
	
	</BODY>
</HTML>