# stopapache.pl.  run from shell script stopapache.
# stop apache processes.
# For now, write to Perl 4.036 and up.

# Assumes first three fields of appropriate ps command are:
#    UID PID PPID

$APHOME=$ENV{'APHOME'};

#$BSD = -f '/vmunix';
#$pscmd = $BSD ? "ps -auxw" : "ps -ef";
$pscmd = "ps -ef";

$pidfile="$APHOME/rgw/apache/logs/httpd.pid";
$ntries = 5;

if (-f $pidfile) {
   open(PIDFILE,$pidfile) || die "Can't open $pidfile: $!\n";
   $pidsched = <PIDFILE>;
   chop $pidsched;
   close(PIDFILE) || die "Can't close $pidfile: $!\n";
} else {
   print "Can't stop apache -- file $pidfile not found.\n";
   exit 1;
}

open(PS,"$pscmd|") || die "$pscmd failed: $!\n";
$title = <PS>;
@pstab = <PS>;
$schedidx = -1;
foreach $i (0 .. $#pstab) {
   ($uname, $pid, $ppid) = split(' ',$pstab[$i]);
   if ($pid == $pidsched) {
      $schedidx = $i; last;
   }
}
if ($schedidx < 0) {
   print "Apache is not running (pid=$pidsched not found).\n";
   exit 1;
}

select(STDOUT);$|=1;
print "Stopping apache...";
kill('SIGTERM',$pidsched) || die "Can't kill SIGTERM $pidsched $!\n";

for ($z=1; $z <= $ntries; ++$z) {
   sleep $z;
   open(PS,"$pscmd|") || die "$pscmd failed: $!\n";
   $title = <PS>;
   @pstab = <PS>;
   $schedidx = -1;
   foreach $i (0 .. $#pstab) {
      ($uname, $pid, $ppid) = split(' ',$pstab[$i]);
      if ($pid == $pidsched) {
         $schedidx = $i; last;
      }
   }
   if ($schedidx >= 0) {
      ++$z;
      print ".";
   } else {
      unlink($pidfile);
      print "done.\n";
      exit 0;
   }
}
print "failed.\n";
exit 1;
