     * **************************** *
     *    Standard $INCLUDE item    *
     * **************************** *
     * Delimiters
     *
     EQU AM               TO @AM
     EQU VM               TO @VM
     EQU SVM              TO @SVM
     *
     * Boolean
     *
     EQU FALSE            TO 0
     EQU TRUE             TO 1
     *
     * Characters
     *
     EQU SPCE             TO CHAR(32)
     EQU COMMA            TO ','
     EQU BS.TOKEN         TO CHAR(8)
     EQU TAB.TOKEN        TO CHAR(9)
     EQU LF.TOKEN         TO CHAR(10)
     EQU CR.TOKEN         TO CHAR(13)
     EQU AM.TOKEN         TO CHAR(250)
     *
     * HTML sections
     *
     EQU HTML.BREAK       TO '<br>'
     EQU CONTENT.HTML     TO 'Content-type: text/html'
     EQU CONTENT.DATAC    TO 'Content-type: application/octet-stream'
     EQU CONTENT.PUSH     TO 'Content-type: multipart/mixed;boundary=RedBackBoundary'
     EQU CONTENT.XML      TO 'Content-type: text/xml'
     EQU CONTENT.DISP     TO '--RedBackBoundary'
     EQU CONTENT.END      TO '--RedBackBoundary--'
     EQU HTML.START       TO '<html><head>'
     EQU HTML.BODY        TO '</head><body>'
     EQU HTML.STOP        TO '</body></html>'
     *
     * Other
     *
     EQU SPIDERLEN        TO 10
     EQU MAXREADLEN       TO 16384
     EQU BIG.INT          TO 9999999
     EQU UDT.NP.REL       TO 403
!*!*!*     EQU DIR.SEP          TO '\'    ; *!3!C *!8!C
!*!*!*     EQU STD.OUT          TO 'type' ; *!3!C *!8!C
     EQU DIR.SEP          TO '/'
     EQU STD.OUT          TO 'cat'
     *!8!A EQU DIR.SEP          TO '/'
     *!8!A EQU STD.OUT          TO 'cat'
     *
     EQU PIPE.ACK         TO 'A'
     EQU PIPE.ASCII       TO '0'
     EQU PIPE.BINARY      TO '1'
     EQU PIPE.DATA        TO 'N'
     EQU PIPE.DIE         TO 'D'
     EQU PIPE.EOD         TO ''
     EQU PIPE.ERROR       TO 'E'
     EQU PIPE.FILE        TO 'F'
     EQU PIPE.GET.SVRFLE  TO 'G'
     EQU PIPE.HEADER      TO 'H'
     EQU PIPE.PUT.SVRFLE  TO 'P'
     EQU PIPE.TEXT        TO 'T'
     EQU PIPE.UPLOAD      TO 'U'
     EQU PIPE.PERSIST     TO 'C'
     EQU PIPE.WEB.DEPLOY  TO 'W'
     *
     EQU DIFF.OBJ.METHOD  TO 0
     EQU DIFF.OBJ.EVENT   TO 1
     EQU SAME.OBJ.METHOD  TO 2
     EQU SAME.OBJ.EVENT   TO 3
     *
     EQU JAVA.ALERT       TO 'JAVA.ALERT'
     EQU JAVA.EVAL        TO 'JAVA.EVAL'
     EQU JAVA.FLDSET      TO 'JAVA.FLDSET'
     EQU JAVA.FOCUS       TO 'JAVA.FOCUS'
     EQU JAVA.RESUBMIT    TO 'JAVA.RESUBMIT'
     *
     EQU FLAG.LIVE.UPDATE TO 1
     EQU FLAG.IN.ALX.FORM TO 2
     *
     EQU INVALID.HANDLE   TO '-1'
     *
     EQU HTML.UPFILELIST  TO 'HTMLUploadedFilesList'
     *
     EQU BACK.IMG         TO 'back.gif'
     EQU NEXT.IMG         TO 'next.gif'
     EQU PREV.IMG         TO 'prev.gif'
     EQU HOME.IMG         TO 'home.gif'
     EQU SERVHOME.IMG     TO 'servhome.gif'
     EQU ONEPIXEL.IMG     TO 'onepixel.gif'
     EQU BLANK.IMG        TO 'blank.gif'
     *
     * - Property Value Equates
     *
     EQU VALU.BOTH        TO 'both'
     EQU VALU.BOTTOM      TO 'bottom'
     EQU VALU.BULLET      TO 'bullet'
     EQU VALU.CENTER      TO 'center'
     EQU VALU.FALSE       TO 'false'
     EQU VALU.LEFT        TO 'left'
     EQU VALU.NONE        TO 'none'
     EQU VALU.NUMBER      TO 'number'
     EQU VALU.RIGHT       TO 'right'
     EQU VALU.TOP         TO 'top'
     EQU VALU.TRUE        TO 'true'
     EQU VALU.STRING      TO 'string'
     *
     * - Include error codes!
     *
     $INCLUDE WWINSERT ERROR.CODES
     $INCLUDE WWINSERT MESSAGE.CODES
